	SUBROUTINE ONCE
C
C	   Called once each time a pattern is retrieved from the data
C	   base and placed into the PDFDATA.CMN commons.
C
C	   By: Mark Holomany     Date: 29-Jul-1987
C
C

D	INCLUDE 'PDFDATA.CMN'
D	INCLUDE 'REFTRK.CMN'
D	INCLUDE 'SWITCH.CMN'

C\$INCLUDE:'PDFDATA.CMN'
C\$INCLUDE:'REFTRK.CMN'
C\$INCLUDE:'SWITCH.CMN'

C
C	... Reset for each pattern
C	... Reference card usage indicator
	DO 4030 N=1,MAX(9)
4030	REFCNT(N) = .FALSE.
C
C	... Reset switches that ensure that the photocomp routines
C	... are called only once each time a pattern is put into PDFDATA
	SWPBX1 = .FALSE.
	SWPBX2 = .FALSE.
	SWPBX3 = .FALSE.
	SWPBX4 = .FALSE.
	SWTRFN = .FALSE.
	SWDSP  = .FALSE.
	SWPBX5 = .FALSE.

	RETURN
	END
